#!/bin/bash

STATE=$(mozillavpn status | grep "VPN state" | awk '{print $3}')
LOCATION=$(mozillavpn status | grep "Server city" | awk '{print $3}')

if [ "$STATE" == "off" ]; then
    FEEDBACK=$(mozillavpn activate)
    if [[ $FEEDBACK == *"The VPN tunnel is now active"* ]]; then
        notify-send -i /usr/share/icons/hicolor/32x32/apps/mozillavpn.png "Mozilla VPN" "VPN Activated: $LOCATION"
    else
        notify-send --urgency=critical -i /usr/share/icons/hicolor/32x32/apps/mozillavpn.png "Mozilla VPN" "Error"
    fi
fi

if [ "$STATE" == "on" ]; then
    FEEDBACK=$(mozillavpn deactivate)
    if [[ $FEEDBACK == *"The VPN tunnel is now inactive"* ]]; then
        notify-send -i /usr/share/icons/hicolor/32x32/apps/mozillavpn.png "Mozilla VPN" "VPN Deactivated"
    else
        notify-send --urgency=critical -i /usr/share/icons/hicolor/32x32/apps/mozillavpn.png "Mozilla VPN" "Error"
    fi
fi
